package com.zm.order.tool.server.response;

import com.alibaba.fastjson.JSON;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Date;

/**
 * @Author 陈标
 * @Date 2020/3/5 18:16
 */
public class ToolInterfaceVO implements Serializable {
    private static final long serialVersionUID = 8726666770151649766L;
    @ApiModelProperty("主键id")
    private String id;
    @ApiModelProperty("项目名称")
    private String projectName;
    @ApiModelProperty("接口名称")
    private String interfaceName;
    @ApiModelProperty("接口地址")
    private String interfaceUrl;
    @ApiModelProperty("创建时间")
    private Date createdAt;
    @ApiModelProperty("修改时间")
    private Date updatedAt;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    public String getInterfaceName() {
        return interfaceName;
    }

    public void setInterfaceName(String interfaceName) {
        this.interfaceName = interfaceName;
    }

    public String getInterfaceUrl() {
        return interfaceUrl;
    }

    public void setInterfaceUrl(String interfaceUrl) {
        this.interfaceUrl = interfaceUrl;
    }

    public Date getCreatedAt() {
        return createdAt;
    }

    public void setCreatedAt(Date createdAt) {
        this.createdAt = createdAt;
    }

    public Date getUpdatedAt() {
        return updatedAt;
    }

    public void setUpdatedAt(Date updatedAt) {
        this.updatedAt = updatedAt;
    }

    @Override
    public String toString() {
        return JSON.toJSONString(this);
    }
}
